App::Yath::Script::V0(3pm)

NAME
App::Yath::Script::V0 - Test/validation version of the yath script handler

DESCRIPTION
This is the V0 script handler, intended for validating the yath script itself rather than running real tests. It echoes non-option arguments prefixed by "BEGIN:" or "RUNTIME:" depending on the phase in which they are processed.

OPTIONS

--begin ARG
    Add an argument to be processed (echoed) during the BEGIN phase. Can be specified multiple times.

EXAMPLE
    $ yath --begin hello --begin world foo bar

    BEGIN: hello
    BEGIN: world
    RUNTIME: foo
    RUNTIME: bar

SOURCE
The source code repository for Test2-Harness can be found at <http://github.com/Test-More/Test2-Harness/>.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <http://dev.perl.org/licenses/>